Create and return the payment terminal url for a booking
POST
/v1/WebBooking/WebBookings/{id}/BackFromPaymentTerminal
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/example/BackFromPaymentTerminal';const options = { method: 'POST', headers: {system: 'example', 'Content-Type': 'application/json'}, body: '{"contact":{"returning":true,"id":1,"fname":"example","lname":"example","phone":"example","mobile":"example","fax":"example","email":"example","streetaddress":"example","zipcode":"example","city":"example","newsletter":true,"lastGrab":true,"allowStoringForever":true,"deliveryInfo":"example"},"customer":{"id":1,"name":"example","streetaddress":"example","zipcode":"example","city":"example","orgNr":"example","phone":"example","fax":"example","email":"example","information":"example","invoiceStreetaddress":"example","invoiceZipCode":"example","invoiceCity":"example","invoiceCode1":"example","invoiceCode2":"example","invoiceCode3":"example","customerNumber":"example","accountManager":"example","webpage":"example","lastChangedUtc":"2026-04-15T12:00:00Z","lastChangedBy":"example","agreementLevel":1},"bookingStatus":1,"disableAllConfirmationMessages":true,"disableEmailConfirmationMessage":true,"disableSmsConfirmationMessage":true,"message":"example","invoiceMarking":"example","wishToBeInvoiced":true,"logMessage":"example","bookingChargeId":"example","startTime":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/example/BackFromPaymentTerminal \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "contact": { "returning": true, "id": 1, "fname": "example", "lname": "example", "phone": "example", "mobile": "example", "fax": "example", "email": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "newsletter": true, "lastGrab": true, "allowStoringForever": true, "deliveryInfo": "example" }, "customer": { "id": 1, "name": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "orgNr": "example", "phone": "example", "fax": "example", "email": "example", "information": "example", "invoiceStreetaddress": "example", "invoiceZipCode": "example", "invoiceCity": "example", "invoiceCode1": "example", "invoiceCode2": "example", "invoiceCode3": "example", "customerNumber": "example", "accountManager": "example", "webpage": "example", "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "agreementLevel": 1 }, "bookingStatus": 1, "disableAllConfirmationMessages": true, "disableEmailConfirmationMessage": true, "disableSmsConfirmationMessage": true, "message": "example", "invoiceMarking": "example", "wishToBeInvoiced": true, "logMessage": "example", "bookingChargeId": "example", "startTime": "2026-04-15T12:00:00Z" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Booking guid
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Includes id of charge processed
Media typeapplication/json
object
contact
One of:
object
returning
boolean
id
integer format: int64
fname
string
lname
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
newsletter
boolean
lastGrab
boolean
allowStoringForever
boolean
deliveryInfo
string
customer
One of:
object
id
integer format: int64
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
customerNumber
string
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
bookingStatus
integer format: int32
disableAllConfirmationMessages
boolean
disableEmailConfirmationMessage
boolean
disableSmsConfirmationMessage
boolean
message
string
invoiceMarking
string
wishToBeInvoiced
boolean
logMessage
string
bookingChargeId
required
string
startTime
string format: date-time
Examplegenerated
{ "contact": { "returning": true, "id": 1, "fname": "example", "lname": "example", "phone": "example", "mobile": "example", "fax": "example", "email": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "newsletter": true, "lastGrab": true, "allowStoringForever": true, "deliveryInfo": "example" }, "customer": { "id": 1, "name": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "orgNr": "example", "phone": "example", "fax": "example", "email": "example", "information": "example", "invoiceStreetaddress": "example", "invoiceZipCode": "example", "invoiceCity": "example", "invoiceCode1": "example", "invoiceCode2": "example", "invoiceCode3": "example", "customerNumber": "example", "accountManager": "example", "webpage": "example", "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "agreementLevel": 1 }, "bookingStatus": 1, "disableAllConfirmationMessages": true, "disableEmailConfirmationMessage": true, "disableSmsConfirmationMessage": true, "message": "example", "invoiceMarking": "example", "wishToBeInvoiced": true, "logMessage": "example", "bookingChargeId": "example", "startTime": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”The finalized web booking.
Media typeapplication/json
object
result
object
guid
string
globalBookingNumber
string
unitId
integer format: int64
start
string format: date-time
end
string format: date-time
status
integer
subStatus
integer
history
Array<object>
object
changeDate
string format: date-time
status
integer
statusName
string
guests
integer format: int32
guestsChildren
integer format: int32
message
string
createdDate
string format: date-time
changeDate
string format: date-time
recoupTime
integer format: int32
articles
Array<object>
object
articleId
integer format: int64
bookedArticleId
integer format: int64
bookedArticleParentId
integer format: int64
sectionId
integer format: int64
articleGroupId
integer format: int64
articleGroupName
string
articleGroupType
integer
unitId
integer format: int64
departmentId
string
start
string format: date-time
end
string format: date-time
name
string
tableName
string
tableNumber
string
tableChairs
integer format: int32
message
string
quantity
number format: decimal
isTable
boolean
outPriceIncVat
number format: decimal
vat
number format: decimal
menuGuid
string
webFlags
integer
priceModel
integer format: int32
outAmountExVat
number format: decimal
outAmountInclVat
number format: decimal
ruleId
integer format: int64
nonTableArticles
Array<object>
object
articleId
integer format: int64
bookedArticleId
integer format: int64
bookedArticleParentId
integer format: int64
sectionId
integer format: int64
articleGroupId
integer format: int64
articleGroupName
string
articleGroupType
integer
unitId
integer format: int64
departmentId
string
start
string format: date-time
end
string format: date-time
name
string
tableName
string
tableNumber
string
tableChairs
integer format: int32
message
string
quantity
number format: decimal
isTable
boolean
outPriceIncVat
number format: decimal
vat
number format: decimal
menuGuid
string
webFlags
integer
priceModel
integer format: int32
outAmountExVat
number format: decimal
outAmountInclVat
number format: decimal
ruleId
integer format: int64
chargeType
integer
chargeId
string
chargeShouldPayAmount
number format: decimal
chargeShouldPayVat
number format: decimal
chargeStatus
integer
chargeShouldPayAmountVat
number format: decimal
chargeAuthorizedAmount
number format: decimal
chargePayedAmount
number format: decimal
chargeRefundedAmount
number format: decimal
customerFriendlyId
string
contact
One of:
object
returning
boolean
id
integer format: int64
fname
string
lname
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
newsletter
boolean
lastGrab
boolean
allowStoringForever
boolean
deliveryInfo
string
customer
One of:
object
id
integer format: int64
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
customerNumber
string
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
payMethod
One of:
object
id
integer format: int64
name
string
hidden
boolean
changeStatus
integer
arrangementName
string
eventTag
string
menus
Array<object>
object
name
string
publicId
string
groups
Array<object>
object
groupType
integer
name
string
choices
integer format: int32
items
Array<object>
object
name
string
description
string
articleID
integer format: int32
quantity
integer format: int32
price
number format: decimal
vatPercent
number format: decimal
time
string format: date-time
webFlags
integer
inactivatedUntil
string format: date-time
sortOrder
integer format: int32
optional
boolean
isCollapsed
boolean
status
integer
message
string
chargeType
integer
elevatedRespond
boolean
disableAllConfirmationMessages
boolean
markings
Array<object>
object
text
string
prefix
string
hidden
boolean
longBookingNumber
string
terminalReturnUrl
string
language
string
cancelAllowedBeforeUtc
string format: date-time
bookingFlags
integer
chargePaymentLinkExpirationDate
string format: date-time
internalContactName
string
feedbackDate
string format: date-time
validUntil
string format: date-time
webBookingRules
Array<object>
object
id
required
integer format: int64
date
required
string format: date-time
title
required
string
conditions
required
string
paymentInformation
required
string
maximumConcurrentBookings
required
integer format: int32
maximumConcurrentSeats
required
integer format: int32
recoupTime
required
integer format: int32
isClosed
required
boolean
eventReference
string
tag
string
payment
required
integer
paymentModifier
required
integer
paymentAmount
required
number format: decimal
paymentVAT
required
number format: decimal
paymentCurrency
required
string
times
required
Array<object>
object
start
required
string format: date-time
end
required
string format: date-time
availableUntil
required
string format: date-time
availableSeats
required
Array<integer>
waitListSeats
Array<integer>
unavailability
Array<object>
object
from
integer format: int32
to
integer format: int32
reason
integer
userType
required
integer
minGroupSize
integer format: int32
maxGroupSize
integer format: int32
menuGuid
string
requireMenuSelection
required
boolean
requireMenuPayment
required
boolean
isTextRow
required
boolean
comment
required
string
bookingType
integer
forceDeliveryInfo
boolean
lockTime
integer format: int32
lockPerTime
boolean
startTime
number format: double
sectionId
integer format: int64
waitListOffers
Array<object>
object
startTime
string format: date-time
offerStatus
integer
paymentEvents
Array<object>
object
id
integer format: int64
paymentEventRootId
integer format: int64
bookingRootId
integer format: int64
bookingVersionId
integer format: int64
type
integer
requestedAmount
number format: decimal
payedAmount
number format: decimal
message
string
invoiceInformationId
integer format: int64
chargeRootId
integer format: int64
payMethodId
integer format: int64
isCredit
boolean
creditAffectsId
integer format: int64
createdDate
string format: date-time
createdBy
string
changedDate
string format: date-time
changedBy
string
changeMessage
string
transactionDate
string format: date-time
subPaymentEvents
Array<object> recursive
inquiryValues
One of:
object
originalStart
string format: date-time
proposedStart
string format: date-time
originalActivities
Array<object>
object
name
string
unitId
integer format: int64
hidden
boolean
id
integer format: int64
sortOrder
integer format: int64
image
string
description
string
uploadImage
One of:
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
changeStatus
integer
proposedActivities
Array<object>
object
name
string
unitId
integer format: int64
hidden
boolean
id
integer format: int64
sortOrder
integer format: int64
image
string
description
string
uploadImage
One of:
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
changeStatus
integer
validationResult
One of:
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
validationResults
object
key
additional properties
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
Example
{ "application/json": { "guid": "900A1595-354F-4F3C-BCA6-797EB90796BF", "globalBookingNumber": "X7GW", "unitId": 827, "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "status": 102, "subStatus": 0, "statusName": "confirmed", "guests": 4, "guestsChildren": 2, "message": "The children will use normal chairs", "createdDate": "2015-05-24T16:34:29", "changeDate": "2015-05-24T16:34:29", "recoupTime": 15, "articles": [ { "articleId": 82735, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "Outside", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Table 10", "tableName": "10", "tableNumber": "10", "tableChairs": 2, "message": "", "quantity": 0, "isTable": true, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 }, { "articleId": 82736, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "Outside", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Table 11", "tableName": "11", "tableNumber": "11", "tableChairs": 2, "message": "", "quantity": 0, "isTable": true, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 } ], "nonTableArticles": [ { "articleId": 82735, "bookedArticleId": 0, "bookedArticleParentId": 0, "sectionId": 0, "articleGroupId": 726, "articleGroupName": "À la carte", "articleGroupType": 0, "unitId": 827, "departmentId": "1,2,3", "start": "2015-06-15T18:00:00", "end": "2015-06-15T20:00:00", "name": "Pasta Carbonara", "tableChairs": 0, "message": "Contains milk", "quantity": 4, "isTable": false, "outPriceIncVat": 0, "vat": 0, "webFlags": 0, "priceModel": 0, "outAmountExVat": 0, "outAmountInclVat": 0 } ], "chargeType": 0, "chargeId": "7263523", "chargeShouldPayAmount": 120, "chargeShouldPayVat": 0.2, "chargeStatus": 0, "chargeShouldPayAmountVat": 100, "chargeAuthorizedAmount": 120, "chargePayedAmount": 120, "chargeRefundedAmount": 0, "contact": { "returning": false, "id": 0, "fname": "John", "lname": "Doe", "phone": "", "mobile": "+46731234567", "fax": "", "email": "john.doe@mail.com", "streetaddress": "Main Street 1", "zipcode": "12345", "city": "Uppsala", "newsletter": false, "lastGrab": false, "allowStoringForever": true, "deliveryInfo": "" }, "customer": { "id": 0, "name": "John Doe Heavy Industries", "streetaddress": "Main Street 1", "zipcode": "12345", "city": "Uppsala", "orgNr": "556994-9927", "phone": "+46731234567", "fax": "", "email": "john.doe@mail.com", "information": "Always wants to pay double", "invoiceStreetaddress": "Main Street 1", "invoiceZipCode": "56789", "invoiceCity": "Uppsala", "invoiceCode1": "", "invoiceCode2": "", "invoiceCode3": "", "customerNumber": "", "accountManager": "", "webpage": "", "lastChangedUtc": "1753-01-01T00:00:00", "lastChangedBy": "", "agreementLevel": 0 }, "payMethod": { "id": 2, "name": "Invoice", "hidden": false, "changeStatus": 0 }, "arrangementName": "Bachelor Party for Steve", "markings": [ { "text": "VIP", "prefix": "V", "hidden": false } ], "bookingFlags": 0, "paymentEvents": [] }}